question

WW-6729 avatar image
0 Votes"
WW-6729 asked LeonLaude commented

Domain controller - powershell

Hi!

I have four WS2008R2 domain controllers and I want to install powershell version 5.1 only on one domain controller. Current powershell version on all four domain controllers is 2 or so.

  • is it possible to have 5.1 powershell version on one domain controller and on other three to have old version

  • will it cause some trouble to have different ps versions

  • will installing powershell 5.1 ask for restart

I need version 5.1 to pull information with some script which has minimum supported powershell version of 4

Thank you!

Best regards.



windows-serverwindows-server-powershell
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

1 Answer

LeonLaude avatar image
0 Votes"
LeonLaude answered LeonLaude commented

Hi @WW-6729,

Shouldn't be a problem to install PowerShell 5.1 on just one of your Domain Controllers, it shouldn't cause any issues in the domain functionality itself.

For more information on installing newer PowerShell version, see:
https://docs.microsoft.com/en-us/powershell/scripting/windows-powershell/wmf/setup/install-configure?view=powershell-7.1


If the reply was helpful please don't forget to upvote and/or accept as answer, thank you!


Best regards,
Leon

· 2
5 |1600 characters needed characters left characters exceeded

Up to 10 attachments (including images) can be used with a maximum of 3.0 MiB each and 30.0 MiB total.

Thank you LeonLaude!

I have installed PS 5.1 only on one DC and everything is ok. Installing PS 5.1 asked for restart.


Best regards.

0 Votes 0 ·

You're welcome, glad to hear you got it working!

0 Votes 0 ·